#ifndef LOONGARCH_LINUX_TDEP_H
#define LOONGARCH_LINUX_TDEP_H

#include <regset.h>

/* 32 GPRs + pc */
typedef uint64_t loongarch_elf_gregset_t[33];
extern const struct regset loongarch_elf_gregset;

/* 32 FPRs + 8-byte fcc + 4-byte fcsr */
typedef uint64_t loongarch_elf_fpregset_t[34];
extern const struct regset loongarch_elf_fpregset;

/* regset variable size */
extern const struct regset loongarch_elf_cpucfg;

/* 4 SCRs + 4-byte EFLAG + 1-byte x86_top */
typedef uint64_t loongarch_elf_lbtregset_t[5];
extern const struct regset loongarch_elf_lbtregset;

typedef uint64_t loongarch_elf_lsxregset_t[32 * 2];
extern const struct regset loongarch_elf_lsxregset;

typedef uint64_t loongarch_elf_lasxregset_t[32 * 4];
extern const struct regset loongarch_elf_lasxregset;

#endif
